Description

Hi Jeff,

The new annotation feature in qview gets lost when you have a 0-360 domain global mosaic. It only shows names of features with

longitudes <=180. I am assuming that the function forgets to shift neg longitudes into positive longitudes?

Anderson, Jeffery janderson@usgs.gov

11:18 AM (1 hour ago)

to Mark

Hi Mark,

So it shows no named features for longitudes above 180?   Is that when viewing the entire cube?  What happens if you zoom in on

longitudes above 180?  I know the program only show features at certain scales and as you zoom in more appear.

Thanks,

Jeff

Mark Robinson

11:57 AM (21 minutes ago)

to me

On 1/2/13 11:18 AM, Anderson, Jeffery wrote:

Hi Mark,

So it shows no named features for longitudes above 180?

Yes,

Is that when viewing the entire cube?

Subscene, I did not try the whole image

What happens if you zoom in on longitudes above 180?

I could never get names to appear east of of 180 despite zooming in and out.

Related issues:

Related to ISIS - Bug #855: qview - nomenclature tool not working on a mosaic Closed

History

#1 - 2013-01-02 03:47 PM - Tammy Becker

This is a possibly related to an issue that had been resolved previously.  Refer to the related 'closed' post.

#2 - 2013-01-02 04:24 PM - Jeff Anderson

Not related.  The name displayed depend on the resolution of the image.  Therefore a global mosaic will not show all names but as you zoom in you

will see names of features in that zoom window (much like GoogleMaps does as you zoom in/out names appear/disappear).

Further discussions with Mark indicate it may be a -180/180 vs 0/360 issue because the IAU nomenclature system for the moon is -180/180 and Mars

is 0/360.  I think most testing was done with Mars.
#3 - 2013-01-02 05:20 PM - Lynn Weller

I just opened /usgs/cpkgs/isis3/data/base/dems/ulcn2005_clean_0001.cub in the public version of qview and nomenclature appears on the entire

planet.  The LongitudeDomain=180 and the CenterLongitude=0.0.  There is a little bit of a gap for several longitudes centered on longitude 8 that's

odd, but I'm not sure it is wrong.

I also just checked out a Messenger mosaic

(/work/projects/messenger/lweller/Monochrome/Networks/DOY_2011095_2012192/Mess_Monochrome_DOY_2011095to2012192_controlled_photG

_clon180_200m_Global_track_morphmix.cub that displays nomenclature fine as well. It has LongitudeDomain=360 and CenterLongitude=180.0.

Not sure if this helps any, but since issues where addressed in the closed post Tammy pointed to, I haven't seen any problems with nomenclature.

#4 - 2013-01-03 09:31 AM - Jeff Anderson

Any chance we could make that ULCN a 0-360 domain image with map2map and then see what happens?

#5 - 2013-01-03 10:12 AM - Lynn Weller

Jeff, do you want the clon to stay as is or be changed to a more appropriate value like 180?  Just want to be sure you get what you want.

#6 - 2013-01-03 01:54 PM - Jeff Anderson

Yep center longitude of 180 would be more appropriate

#7 - 2013-01-03 03:01 PM - Lynn Weller

All there with the domain change.  See symbolic links and actual data under /work/users/lweller/Isis3Tests/Qview/Nomen

Ran qview via isis3.4.2.  Maybe Mark has an older buggy version?

#8 - 2013-01-07 02:33 PM - Jeff Anderson

It appears that the input cube Mark was using was created with Matlab.  It has a 180 domain in the labels even though it is a 0-360 mosaic.

I guess this is not a bug after all so I will close.

Powered by TCPDF (www.tcpdf.org)

2017-01-02 2/2

http://www.tcpdf.org

